> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv2tensorshotsassetsimages sharinglinks

> Create one shareable resource link and return its URL.



## OpenAPI

````yaml https://backend.tensorpix.ai/api/schema/ post /api/v2/tensorshots/assets/images/{id}/sharing/links/
openapi: 3.1.0
info:
  title: TensorPix OpenAPI Documentation
  version: 1.1.0
  termsOfService: https://tensorpix.ai/terms-conditions
  contact:
    name: TensorPix Dev Team
    email: devs@tensorpix.ai
servers:
  - url: https://backend.tensorpix.ai
security: []
externalDocs:
  url: https://docs.tensorpix.ai
  description: Check out the full TensorPix documentation.
paths:
  /api/v2/tensorshots/assets/images/{id}/sharing/links/:
    post:
      tags:
        - v2
      description: Create one shareable resource link and return its URL.
      operationId: v2_tensorshots_assets_images_sharing_links_create
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShareableResourceLinkCreate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ShareableResourceLinkCreate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ShareableResourceLinkCreate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShareableResourceLinkResponse'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
          description: ''
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    ShareableResourceLinkCreate:
      type: object
      description: Validate one shareable-resource-link create request.
      properties:
        permission:
          $ref: '#/components/schemas/ShareableResourceLinkCreatePermissionEnum'
        expires_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - permission
    ShareableResourceLinkResponse:
      type: object
      description: Authenticated link response that includes the secret token and URL.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        token:
          type: string
          readOnly: true
        permission:
          allOf:
            - $ref: '#/components/schemas/PermissionB8bEnum'
          readOnly: true
        owner:
          type:
            - integer
            - 'null'
          readOnly: true
        expires_at:
          type:
            - string
            - 'null'
          format: date-time
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: Datetime when the record was created.
        updated_at:
          type: string
          format: date-time
          readOnly: true
          description: Datetime when the record was last updated.
        url:
          type: string
          description: Return the absolute shared-resource URL.
          readOnly: true
      required:
        - created_at
        - expires_at
        - id
        - owner
        - permission
        - token
        - updated_at
        - url
    ValidationError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        non_field_errors:
          type: array
          items:
            type: string
      required:
        - errors
        - non_field_errors
    UnauthenticatedError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    ForbiddenError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    NotFoundError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    RateLimitError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    ShareableResourceLinkCreatePermissionEnum:
      enum:
        - view
      type: string
      description: '* `view` - view'
    PermissionB8bEnum:
      enum:
        - view
      type: string
      description: '* `view` - View'
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````